VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisimBox.Renderer.Render2D.FontManager Class Reference
Inheritance diagram for VisimBox.Renderer.Render2D.FontManager:

List of all members.

## Public Member Functions
| FontManager ()
Font | GetDefault ()
| Returns default font.
Font | Add (string key, System.Drawing.Font sysfont)
| Adds new system font.
Font | Add (System.Drawing.Font sysfont)
| Adds system font to manager and returns new rendering font.
Font | Add (string fontname, int size)
| Ads font with required name and size to manager.
Font | AddFromFile (string fontfile, int size)
| Adds font from truetype file on disk.

## Constructor & Destructor Documentation

VisimBox.Renderer.Render2D.FontManager.FontManager | ( |  | ) |

## Member Function Documentation

Font VisimBox.Renderer.Render2D.FontManager.Add | ( | string | key,
|  | System.Drawing.Font | sysfont
| ) |  |

Adds new system font.

Parameters:

  key |
  sysfont |

Returns:

Font VisimBox.Renderer.Render2D.FontManager.Add | ( | string | fontname,
|  | int | size
| ) |  |

Ads font with required name and size to manager.

Parameters:

  fontname | Name of the font
  size |

Returns:
  Created font

Font VisimBox.Renderer.Render2D.FontManager.Add | ( | System.Drawing.Font | sysfont | ) |

Adds system font to manager and returns new rendering font.

Parameters:

  sysfont | Valid System.Drawing.Font

Returns:
  Created font

Font VisimBox.Renderer.Render2D.FontManager.AddFromFile | ( | string | fontfile,
|  | int | size
| ) |  |

Adds font from truetype file on disk.

Parameters:

  fontfile | name of the file
  size | Required size in pixels

Returns:
  Created font

Font VisimBox.Renderer.Render2D.FontManager.GetDefault | ( |  | ) |

Returns default font.

Returns:

The documentation for this class was generated from the following file:

- FontManager.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events